<?php
/**
 * @file
 * accounting_base.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function accounting_base_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "page_manager" && $api == "pages_default") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function accounting_base_views_api($module = NULL, $api = NULL) {
  return array("api" => "3.0");
}

/**
 * Implements hook_node_info().
 */
function accounting_base_node_info() {
  $items = array(
    'account' => array(
      'name' => t('Account'),
      'base' => 'node_content',
      'description' => t('Add a new account'),
      'has_title' => '1',
      'title_label' => t('Account title'),
      'help' => '',
    ),
    'part' => array(
      'name' => t('Part'),
      'base' => 'node_content',
      'description' => t('Part of a transaction '),
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
    'transaction' => array(
      'name' => t('Transaction'),
      'base' => 'node_content',
      'description' => t('A transaction between two accounts'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
  );
  drupal_alter('node_info', $items);
  return $items;
}

/**
 * Implements hook_default_rules_link().
 */
function accounting_base_default_rules_link() {
  $items = array();
  $items['clone_account_button'] = entity_import('rules_link', '{
    "settings" : {
      "text" : "clone",
      "link_type" : "token",
      "bundles" : { "account" : "account" },
      "entity_link" : 1,
      "view_mode" : []
    },
    "name" : "clone_account_button",
    "label" : "Clone account button",
    "path" : "clone_account_button",
    "entity_type" : "node"
  }');
  $items['clone_transaction_button'] = entity_import('rules_link', '{
    "settings" : {
      "text" : "clone",
      "link_type" : "token",
      "bundles" : { "transaction" : "transaction" },
      "entity_link" : 1,
      "view_mode" : []
    },
    "name" : "clone_transaction_button",
    "label" : "Clone transaction button",
    "path" : "clone_transaction_button",
    "entity_type" : "node"
  }');
  return $items;
}
