<?php
/**
 * @file
 * accounting_base.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function accounting_base_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'account_transactions';
  $view->description = 'Transactions from or to an account';
  $view->tag = 'default';
  $view->base_table = 'node';
  $view->human_name = 'Account transactions';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'better_exposed_filters';
  $handler->display->display_options['exposed_form']['options']['reset_button'] = TRUE;
  $handler->display->display_options['exposed_form']['options']['bef'] = array(
    'general' => array(
      'input_required' => 0,
      'text_input_required' => array(
        'text_input_required' => array(
          'value' => 'Select any filter and click on Apply to see results',
          'format' => 'plain_text',
        ),
      ),
      'allow_secondary' => 0,
      'secondary_label' => 'Advanced options',
      'secondary_collapse_override' => '0',
    ),
    'field_date_value' => array(
      'bef_format' => 'default',
      'more_options' => array(
        'autosubmit' => 0,
        'is_secondary' => 0,
        'any_label' => '',
        'bef_filter_description' => '',
        'tokens' => array(
          'available' => array(
            0 => 'global_types',
          ),
        ),
        'rewrite' => array(
          'filter_rewrite_values' => '',
        ),
        'datepicker_options' => '',
      ),
    ),
    'field_note_value' => array(
      'bef_format' => 'default',
      'more_options' => array(
        'autosubmit' => 0,
        'is_secondary' => 0,
        'any_label' => '',
        'bef_filter_description' => '',
        'tokens' => array(
          'available' => array(
            0 => 'global_types',
          ),
        ),
        'rewrite' => array(
          'filter_rewrite_values' => '',
        ),
      ),
    ),
    'field_amount_value' => array(
      'bef_format' => 'default',
      'slider_options' => array(
        'bef_slider_min' => '0',
        'bef_slider_max' => '99999',
        'bef_slider_step' => '1',
        'bef_slider_animate' => '',
        'bef_slider_orientation' => 'horizontal',
      ),
      'more_options' => array(
        'autosubmit' => 0,
        'is_secondary' => 0,
        'any_label' => '',
        'bef_filter_description' => '',
        'tokens' => array(
          'available' => array(
            0 => 'global_types',
          ),
        ),
        'rewrite' => array(
          'filter_rewrite_values' => '',
        ),
      ),
    ),
    'field_account_target_id' => array(
      'bef_format' => 'default',
      'slider_options' => array(
        'bef_slider_min' => '0',
        'bef_slider_max' => '99999',
        'bef_slider_step' => '1',
        'bef_slider_animate' => '',
        'bef_slider_orientation' => 'horizontal',
      ),
      'more_options' => array(
        'autosubmit' => 0,
        'is_secondary' => 0,
        'any_label' => '',
        'bef_filter_description' => '',
        'tokens' => array(
          'available' => array(
            0 => 'global_types',
          ),
        ),
        'rewrite' => array(
          'filter_rewrite_values' => '',
        ),
      ),
    ),
  );
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '10';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['pager']['options']['expose']['items_per_page'] = TRUE;
  $handler->display->display_options['pager']['options']['expose']['items_per_page_options'] = '10, 20, 40, 60';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_options_all'] = TRUE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'nid' => 'nid',
    'field_date_1' => 'field_date_1',
    'field_date' => 'field_date',
    'field_note' => 'field_note',
    'field_account' => 'field_account',
    'field_amount' => 'field_amount',
    'view' => 'view',
    'edit_node' => 'edit_node',
    'clone_transaction_button' => 'clone_transaction_button',
    'delete_node' => 'delete_node',
    'ctools_dropdown' => 'ctools_dropdown',
  );
  $handler->display->display_options['style_options']['default'] = 'field_date';
  $handler->display->display_options['style_options']['info'] = array(
    'nid' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_date_1' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_date' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_note' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_account' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_amount' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'view' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'edit_node' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'clone_transaction_button' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'delete_node' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'ctools_dropdown' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = 'Nothing to show :(';
  $handler->display->display_options['empty']['area']['format'] = 'plain_text';
  /* Relationship: Account reference */
  $handler->display->display_options['relationships']['field_account_target_id']['id'] = 'field_account_target_id';
  $handler->display->display_options['relationships']['field_account_target_id']['table'] = 'field_data_field_account';
  $handler->display->display_options['relationships']['field_account_target_id']['field'] = 'field_account_target_id';
  $handler->display->display_options['relationships']['field_account_target_id']['ui_name'] = 'Account reference';
  $handler->display->display_options['relationships']['field_account_target_id']['label'] = 'Account reference';
  /* Relationship: Transaction reference */
  $handler->display->display_options['relationships']['field_transaction_target_id']['id'] = 'field_transaction_target_id';
  $handler->display->display_options['relationships']['field_transaction_target_id']['table'] = 'field_data_field_transaction';
  $handler->display->display_options['relationships']['field_transaction_target_id']['field'] = 'field_transaction_target_id';
  $handler->display->display_options['relationships']['field_transaction_target_id']['ui_name'] = 'Transaction reference';
  $handler->display->display_options['relationships']['field_transaction_target_id']['label'] = 'Transaction reference';
  /* Relationship: Part reference */
  $handler->display->display_options['relationships']['field_part_target_id']['id'] = 'field_part_target_id';
  $handler->display->display_options['relationships']['field_part_target_id']['table'] = 'field_data_field_part';
  $handler->display->display_options['relationships']['field_part_target_id']['field'] = 'field_part_target_id';
  $handler->display->display_options['relationships']['field_part_target_id']['ui_name'] = 'Part reference';
  $handler->display->display_options['relationships']['field_part_target_id']['label'] = 'Part reference';
  /* Field: ContextFilterAccountNID */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['relationship'] = 'field_account_target_id';
  $handler->display->display_options['fields']['nid']['ui_name'] = 'ContextFilterAccountNID';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['nid']['element_default_classes'] = FALSE;
  /* Field: ContextFilterDate */
  $handler->display->display_options['fields']['field_date_1']['id'] = 'field_date_1';
  $handler->display->display_options['fields']['field_date_1']['table'] = 'field_data_field_date';
  $handler->display->display_options['fields']['field_date_1']['field'] = 'field_date';
  $handler->display->display_options['fields']['field_date_1']['relationship'] = 'field_transaction_target_id';
  $handler->display->display_options['fields']['field_date_1']['ui_name'] = 'ContextFilterDate';
  $handler->display->display_options['fields']['field_date_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_date_1']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_date_1']['alter']['text'] = '19800101--[field_date_1]';
  $handler->display->display_options['fields']['field_date_1']['alter']['trim_whitespace'] = TRUE;
  $handler->display->display_options['fields']['field_date_1']['alter']['strip_tags'] = TRUE;
  $handler->display->display_options['fields']['field_date_1']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['field_date_1']['settings'] = array(
    'format_type' => 'contextfilter',
    'custom_date_format' => '',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
    'show_remaining_days' => 0,
  );
  /* Field: Content: Account */
  $handler->display->display_options['fields']['field_account_1']['id'] = 'field_account_1';
  $handler->display->display_options['fields']['field_account_1']['table'] = 'field_data_field_account';
  $handler->display->display_options['fields']['field_account_1']['field'] = 'field_account';
  $handler->display->display_options['fields']['field_account_1']['relationship'] = 'field_part_target_id';
  $handler->display->display_options['fields']['field_account_1']['label'] = '';
  $handler->display->display_options['fields']['field_account_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_account_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_account_1']['type'] = 'entityreference_entity_id';
  $handler->display->display_options['fields']['field_account_1']['settings'] = array(
    'bypass_access' => 0,
    'link' => 0,
  );
  /* Field: Content: Date */
  $handler->display->display_options['fields']['field_date']['id'] = 'field_date';
  $handler->display->display_options['fields']['field_date']['table'] = 'field_data_field_date';
  $handler->display->display_options['fields']['field_date']['field'] = 'field_date';
  $handler->display->display_options['fields']['field_date']['relationship'] = 'field_transaction_target_id';
  $handler->display->display_options['fields']['field_date']['settings'] = array(
    'format_type' => 'shortdayonly',
    'custom_date_format' => '',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
    'show_remaining_days' => 0,
  );
  /* Field: Content: Note */
  $handler->display->display_options['fields']['field_note']['id'] = 'field_note';
  $handler->display->display_options['fields']['field_note']['table'] = 'field_data_field_note';
  $handler->display->display_options['fields']['field_note']['field'] = 'field_note';
  $handler->display->display_options['fields']['field_note']['relationship'] = 'field_transaction_target_id';
  /* Field: Content: Account */
  $handler->display->display_options['fields']['field_account']['id'] = 'field_account';
  $handler->display->display_options['fields']['field_account']['table'] = 'field_data_field_account';
  $handler->display->display_options['fields']['field_account']['field'] = 'field_account';
  $handler->display->display_options['fields']['field_account']['relationship'] = 'field_part_target_id';
  $handler->display->display_options['fields']['field_account']['label'] = 'From/To';
  $handler->display->display_options['fields']['field_account']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['field_account']['alter']['path'] = 'node/[field_account_1]/transactions';
  $handler->display->display_options['fields']['field_account']['settings'] = array(
    'bypass_access' => 0,
    'link' => 0,
  );
  /* Field: Content: Amount */
  $handler->display->display_options['fields']['field_amount']['id'] = 'field_amount';
  $handler->display->display_options['fields']['field_amount']['table'] = 'field_data_field_amount';
  $handler->display->display_options['fields']['field_amount']['field'] = 'field_amount';
  $handler->display->display_options['fields']['field_amount']['settings'] = array(
    'thousand_separator' => '',
    'decimal_separator' => '.',
    'scale' => '2',
    'prefix_suffix' => 1,
  );
  /* Field: Global: View */
  $handler->display->display_options['fields']['view']['id'] = 'view';
  $handler->display->display_options['fields']['view']['table'] = 'views';
  $handler->display->display_options['fields']['view']['field'] = 'view';
  $handler->display->display_options['fields']['view']['label'] = 'Balance';
  $handler->display->display_options['fields']['view']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['view']['view'] = 'balance';
  $handler->display->display_options['fields']['view']['arguments'] = '[!nid]/[%field_date_1]';
  /* Field: Content: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['relationship'] = 'field_transaction_target_id';
  $handler->display->display_options['fields']['edit_node']['exclude'] = TRUE;
  $handler->display->display_options['fields']['edit_node']['text'] = 'edit';
  /* Field: Content: Clone transaction button */
  $handler->display->display_options['fields']['clone_transaction_button']['id'] = 'clone_transaction_button';
  $handler->display->display_options['fields']['clone_transaction_button']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['clone_transaction_button']['field'] = 'clone_transaction_button';
  $handler->display->display_options['fields']['clone_transaction_button']['relationship'] = 'field_transaction_target_id';
  $handler->display->display_options['fields']['clone_transaction_button']['label'] = '';
  $handler->display->display_options['fields']['clone_transaction_button']['exclude'] = TRUE;
  $handler->display->display_options['fields']['clone_transaction_button']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['clone_transaction_button']['rules_link'] = array(
    'rules_link_parameters' => '',
    'rules_link_rewrite' => '',
  );
  /* Field: Content: Delete link */
  $handler->display->display_options['fields']['delete_node']['id'] = 'delete_node';
  $handler->display->display_options['fields']['delete_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['delete_node']['field'] = 'delete_node';
  $handler->display->display_options['fields']['delete_node']['relationship'] = 'field_transaction_target_id';
  $handler->display->display_options['fields']['delete_node']['exclude'] = TRUE;
  $handler->display->display_options['fields']['delete_node']['text'] = 'delete';
  /* Field: Global: Dropdown links */
  $handler->display->display_options['fields']['ctools_dropdown']['id'] = 'ctools_dropdown';
  $handler->display->display_options['fields']['ctools_dropdown']['table'] = 'views';
  $handler->display->display_options['fields']['ctools_dropdown']['field'] = 'ctools_dropdown';
  $handler->display->display_options['fields']['ctools_dropdown']['label'] = 'Actions';
  $handler->display->display_options['fields']['ctools_dropdown']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['ctools_dropdown']['fields'] = array(
    'edit_node' => 'edit_node',
    'clone_transaction_button' => 'clone_transaction_button',
    'delete_node' => 'delete_node',
  );
  $handler->display->display_options['fields']['ctools_dropdown']['check_access'] = 0;
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['relationship'] = 'field_account_target_id';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'empty';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'part' => 'part',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  /* Filter criterion: Content: Date (field_date) */
  $handler->display->display_options['filters']['field_date_value']['id'] = 'field_date_value';
  $handler->display->display_options['filters']['field_date_value']['table'] = 'field_data_field_date';
  $handler->display->display_options['filters']['field_date_value']['field'] = 'field_date_value';
  $handler->display->display_options['filters']['field_date_value']['relationship'] = 'field_transaction_target_id';
  $handler->display->display_options['filters']['field_date_value']['operator'] = 'between';
  $handler->display->display_options['filters']['field_date_value']['group'] = 1;
  $handler->display->display_options['filters']['field_date_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_date_value']['expose']['operator_id'] = 'field_date_value_op';
  $handler->display->display_options['filters']['field_date_value']['expose']['operator'] = 'field_date_value_op';
  $handler->display->display_options['filters']['field_date_value']['expose']['identifier'] = 'field_date_value';
  $handler->display->display_options['filters']['field_date_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    81963806 => 0,
  );
  $handler->display->display_options['filters']['field_date_value']['form_type'] = 'date_popup';
  /* Filter criterion: Content: Note (field_note) */
  $handler->display->display_options['filters']['field_note_value']['id'] = 'field_note_value';
  $handler->display->display_options['filters']['field_note_value']['table'] = 'field_data_field_note';
  $handler->display->display_options['filters']['field_note_value']['field'] = 'field_note_value';
  $handler->display->display_options['filters']['field_note_value']['relationship'] = 'field_transaction_target_id';
  $handler->display->display_options['filters']['field_note_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['field_note_value']['group'] = 1;
  $handler->display->display_options['filters']['field_note_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_note_value']['expose']['operator_id'] = 'field_note_value_op';
  $handler->display->display_options['filters']['field_note_value']['expose']['label'] = 'Note';
  $handler->display->display_options['filters']['field_note_value']['expose']['operator'] = 'field_note_value_op';
  $handler->display->display_options['filters']['field_note_value']['expose']['identifier'] = 'field_note_value';
  $handler->display->display_options['filters']['field_note_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    81963806 => 0,
  );
  /* Filter criterion: Content: Amount (field_amount) */
  $handler->display->display_options['filters']['field_amount_value']['id'] = 'field_amount_value';
  $handler->display->display_options['filters']['field_amount_value']['table'] = 'field_data_field_amount';
  $handler->display->display_options['filters']['field_amount_value']['field'] = 'field_amount_value';
  $handler->display->display_options['filters']['field_amount_value']['relationship'] = 'field_transaction_target_id';
  $handler->display->display_options['filters']['field_amount_value']['group'] = 1;
  $handler->display->display_options['filters']['field_amount_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_amount_value']['expose']['operator_id'] = 'field_amount_value_op';
  $handler->display->display_options['filters']['field_amount_value']['expose']['label'] = 'Amount';
  $handler->display->display_options['filters']['field_amount_value']['expose']['operator'] = 'field_amount_value_op';
  $handler->display->display_options['filters']['field_amount_value']['expose']['identifier'] = 'field_amount_value';
  $handler->display->display_options['filters']['field_amount_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    81963806 => 0,
  );
  /* Filter criterion: Content: Account (field_account) */
  $handler->display->display_options['filters']['field_account_target_id']['id'] = 'field_account_target_id';
  $handler->display->display_options['filters']['field_account_target_id']['table'] = 'field_data_field_account';
  $handler->display->display_options['filters']['field_account_target_id']['field'] = 'field_account_target_id';
  $handler->display->display_options['filters']['field_account_target_id']['relationship'] = 'field_part_target_id';
  $handler->display->display_options['filters']['field_account_target_id']['group'] = 1;
  $handler->display->display_options['filters']['field_account_target_id']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_account_target_id']['expose']['operator_id'] = 'field_account_target_id_op';
  $handler->display->display_options['filters']['field_account_target_id']['expose']['label'] = 'From/To';
  $handler->display->display_options['filters']['field_account_target_id']['expose']['operator'] = 'field_account_target_id_op';
  $handler->display->display_options['filters']['field_account_target_id']['expose']['identifier'] = 'field_account_target_id';
  $handler->display->display_options['filters']['field_account_target_id']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    81963806 => 0,
  );

  /* Display: Content pane */
  $handler = $view->new_display('panel_pane', 'Content pane', 'panel_pane_1');
  $handler->display->display_options['exposed_block'] = TRUE;
  $handler->display->display_options['argument_input'] = array(
    'nid' => array(
      'type' => 'panel',
      'context' => 'entity:file.basename',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Content: Nid',
    ),
  );
  $handler->display->display_options['inherit_panels_path'] = '1';
  $export['account_transactions'] = $view;

  $view = new view();
  $view->name = 'accounts';
  $view->description = 'List of accounts';
  $view->tag = 'default';
  $view->base_table = 'node';
  $view->human_name = 'Accounts';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Accounts';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'better_exposed_filters';
  $handler->display->display_options['exposed_form']['options']['reset_button'] = TRUE;
  $handler->display->display_options['exposed_form']['options']['bef'] = array(
    'general' => array(
      'input_required' => 0,
      'text_input_required' => array(
        'text_input_required' => array(
          'value' => 'Select any filter and click on Apply to see results',
          'format' => 'plain_text',
        ),
      ),
      'allow_secondary' => 0,
      'secondary_label' => 'Advanced options',
      'secondary_collapse_override' => '0',
    ),
  );
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '10';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['pager']['options']['expose']['items_per_page'] = TRUE;
  $handler->display->display_options['pager']['options']['expose']['items_per_page_options'] = '10, 20, 40, 60';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_options_all'] = TRUE;
  $handler->display->display_options['style_plugin'] = 'table';
  /* Footer: Global: Result summary */
  $handler->display->display_options['footer']['result']['id'] = 'result';
  $handler->display->display_options['footer']['result']['table'] = 'views';
  $handler->display->display_options['footer']['result']['field'] = 'result';
  /* No results behavior: Global: Unfiltered text */
  $handler->display->display_options['empty']['area_text_custom']['id'] = 'area_text_custom';
  $handler->display->display_options['empty']['area_text_custom']['table'] = 'views';
  $handler->display->display_options['empty']['area_text_custom']['field'] = 'area_text_custom';
  $handler->display->display_options['empty']['area_text_custom']['empty'] = TRUE;
  $handler->display->display_options['empty']['area_text_custom']['content'] = 'Nothing to show.';
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = 'Account title';
  $handler->display->display_options['fields']['title']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['path'] = 'node/[nid]/transactions';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Field: Content: Trail */
  $handler->display->display_options['fields']['field_trail']['id'] = 'field_trail';
  $handler->display->display_options['fields']['field_trail']['table'] = 'field_data_field_trail';
  $handler->display->display_options['fields']['field_trail']['field'] = 'field_trail';
  $handler->display->display_options['fields']['field_trail']['label'] = 'Reporting hieararchy';
  $handler->display->display_options['fields']['field_trail']['type'] = 'taxonomy_term_reference_plain';
  $handler->display->display_options['fields']['field_trail']['delta_offset'] = '0';
  $handler->display->display_options['fields']['field_trail']['separator'] = ' > ';
  /* Field: Global: View */
  $handler->display->display_options['fields']['view']['id'] = 'view';
  $handler->display->display_options['fields']['view']['table'] = 'views';
  $handler->display->display_options['fields']['view']['field'] = 'view';
  $handler->display->display_options['fields']['view']['view'] = 'balance';
  $handler->display->display_options['fields']['view']['arguments'] = '[!nid]/19800101--30000101';
  /* Field: Content: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['exclude'] = TRUE;
  $handler->display->display_options['fields']['edit_node']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_node']['text'] = 'edit';
  /* Field: Content: Clone account button */
  $handler->display->display_options['fields']['clone_account_button']['id'] = 'clone_account_button';
  $handler->display->display_options['fields']['clone_account_button']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['clone_account_button']['field'] = 'clone_account_button';
  $handler->display->display_options['fields']['clone_account_button']['label'] = '';
  $handler->display->display_options['fields']['clone_account_button']['exclude'] = TRUE;
  $handler->display->display_options['fields']['clone_account_button']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['clone_account_button']['rules_link'] = array(
    'rules_link_parameters' => '',
    'rules_link_rewrite' => '',
  );
  /* Field: Content: Delete link */
  $handler->display->display_options['fields']['delete_node']['id'] = 'delete_node';
  $handler->display->display_options['fields']['delete_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['delete_node']['field'] = 'delete_node';
  $handler->display->display_options['fields']['delete_node']['label'] = '';
  $handler->display->display_options['fields']['delete_node']['exclude'] = TRUE;
  $handler->display->display_options['fields']['delete_node']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['delete_node']['text'] = 'delete';
  /* Field: Global: Dropdown links */
  $handler->display->display_options['fields']['ctools_dropdown']['id'] = 'ctools_dropdown';
  $handler->display->display_options['fields']['ctools_dropdown']['table'] = 'views';
  $handler->display->display_options['fields']['ctools_dropdown']['field'] = 'ctools_dropdown';
  $handler->display->display_options['fields']['ctools_dropdown']['label'] = 'Actions';
  $handler->display->display_options['fields']['ctools_dropdown']['fields'] = array(
    'edit_node' => 'edit_node',
    'clone_account_button' => 'clone_account_button',
    'delete_node' => 'delete_node',
  );
  $handler->display->display_options['fields']['ctools_dropdown']['check_access'] = 0;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'account' => 'account',
  );
  /* Filter criterion: Content: Title */
  $handler->display->display_options['filters']['title']['id'] = 'title';
  $handler->display->display_options['filters']['title']['table'] = 'node';
  $handler->display->display_options['filters']['title']['field'] = 'title';
  $handler->display->display_options['filters']['title']['operator'] = 'contains';
  $handler->display->display_options['filters']['title']['exposed'] = TRUE;
  $handler->display->display_options['filters']['title']['expose']['operator_id'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['label'] = 'Account title';
  $handler->display->display_options['filters']['title']['expose']['operator'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['identifier'] = 'title';
  $handler->display->display_options['filters']['title']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    81963806 => 0,
  );
  /* Filter criterion: Content: Trail (field_trail) */
  $handler->display->display_options['filters']['field_trail_tid']['id'] = 'field_trail_tid';
  $handler->display->display_options['filters']['field_trail_tid']['table'] = 'field_data_field_trail';
  $handler->display->display_options['filters']['field_trail_tid']['field'] = 'field_trail_tid';
  $handler->display->display_options['filters']['field_trail_tid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_trail_tid']['expose']['operator_id'] = 'field_trail_tid_op';
  $handler->display->display_options['filters']['field_trail_tid']['expose']['label'] = 'Reporting hierarchy';
  $handler->display->display_options['filters']['field_trail_tid']['expose']['operator'] = 'field_trail_tid_op';
  $handler->display->display_options['filters']['field_trail_tid']['expose']['identifier'] = 'field_trail_tid';
  $handler->display->display_options['filters']['field_trail_tid']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    81963806 => 0,
  );
  $handler->display->display_options['filters']['field_trail_tid']['type'] = 'select';
  $handler->display->display_options['filters']['field_trail_tid']['vocabulary'] = 'reporting_hierarchy';
  $handler->display->display_options['filters']['field_trail_tid']['hierarchy'] = 1;

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['exposed_block'] = TRUE;
  $handler->display->display_options['path'] = 'accounts';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'Accounts';
  $handler->display->display_options['menu']['description'] = 'List of accounts';
  $handler->display->display_options['menu']['weight'] = '1';
  $handler->display->display_options['menu']['name'] = 'menu-accountants-menu';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;
  $export['accounts'] = $view;

  $view = new view();
  $view->name = 'balance';
  $view->description = 'Daily balance for given account';
  $view->tag = 'default';
  $view->base_table = 'node';
  $view->human_name = 'Balance';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['group_by'] = TRUE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['style_options']['default_row_class'] = FALSE;
  $handler->display->display_options['style_options']['row_class_special'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = 'N/A';
  $handler->display->display_options['empty']['area']['format'] = 'plain_text';
  /* Relationship: Account reference */
  $handler->display->display_options['relationships']['field_account_target_id']['id'] = 'field_account_target_id';
  $handler->display->display_options['relationships']['field_account_target_id']['table'] = 'field_data_field_account';
  $handler->display->display_options['relationships']['field_account_target_id']['field'] = 'field_account_target_id';
  $handler->display->display_options['relationships']['field_account_target_id']['ui_name'] = 'Account reference';
  $handler->display->display_options['relationships']['field_account_target_id']['label'] = 'Account reference';
  /* Relationship: Transaction reference */
  $handler->display->display_options['relationships']['field_transaction_target_id']['id'] = 'field_transaction_target_id';
  $handler->display->display_options['relationships']['field_transaction_target_id']['table'] = 'field_data_field_transaction';
  $handler->display->display_options['relationships']['field_transaction_target_id']['field'] = 'field_transaction_target_id';
  $handler->display->display_options['relationships']['field_transaction_target_id']['ui_name'] = 'Transaction reference';
  $handler->display->display_options['relationships']['field_transaction_target_id']['label'] = 'Transaction reference';
  /* Field: SUM(Content: Amount) */
  $handler->display->display_options['fields']['field_amount']['id'] = 'field_amount';
  $handler->display->display_options['fields']['field_amount']['table'] = 'field_data_field_amount';
  $handler->display->display_options['fields']['field_amount']['field'] = 'field_amount';
  $handler->display->display_options['fields']['field_amount']['group_type'] = 'sum';
  $handler->display->display_options['fields']['field_amount']['label'] = '';
  $handler->display->display_options['fields']['field_amount']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_amount']['type'] = 'number_unformatted';
  $handler->display->display_options['fields']['field_amount']['settings'] = array(
    'thousand_separator' => '',
    'decimal_separator' => '.',
    'scale' => '2',
    'prefix_suffix' => 1,
  );
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['relationship'] = 'field_account_target_id';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'default';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'raw';
  $handler->display->display_options['arguments']['nid']['default_argument_options']['index'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  /* Contextual filter: Content: Date (field_date) */
  $handler->display->display_options['arguments']['field_date_value']['id'] = 'field_date_value';
  $handler->display->display_options['arguments']['field_date_value']['table'] = 'field_data_field_date';
  $handler->display->display_options['arguments']['field_date_value']['field'] = 'field_date_value';
  $handler->display->display_options['arguments']['field_date_value']['relationship'] = 'field_transaction_target_id';
  $handler->display->display_options['arguments']['field_date_value']['default_action'] = 'default';
  $handler->display->display_options['arguments']['field_date_value']['default_argument_type'] = 'raw';
  $handler->display->display_options['arguments']['field_date_value']['default_argument_options']['index'] = '1';
  $handler->display->display_options['arguments']['field_date_value']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_date_value']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_date_value']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['field_date_value']['year_range'] = '1000:5000';
  $handler->display->display_options['arguments']['field_date_value']['granularity'] = 'day';
  $handler->display->display_options['arguments']['field_date_value']['granularity_reset'] = 0;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'part' => 'part',
  );
  $export['balance'] = $view;

  $view = new view();
  $view->name = 'transactions';
  $view->description = 'List of transactions';
  $view->tag = 'Transactions';
  $view->base_table = 'node';
  $view->human_name = 'Transactions';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'better_exposed_filters';
  $handler->display->display_options['exposed_form']['options']['reset_button'] = TRUE;
  $handler->display->display_options['exposed_form']['options']['bef'] = array(
    'general' => array(
      'input_required' => 0,
      'text_input_required' => array(
        'text_input_required' => array(
          'value' => 'Select any filter and click on Apply to see results',
          'format' => 'plain_text',
        ),
      ),
      'allow_secondary' => 0,
      'secondary_label' => 'Advanced options',
      'secondary_collapse_override' => '0',
    ),
    'field_date_value' => array(
      'bef_format' => 'default',
      'more_options' => array(
        'autosubmit' => 0,
        'is_secondary' => 0,
        'any_label' => '',
        'bef_filter_description' => '',
        'tokens' => array(
          'available' => array(
            0 => 'global_types',
          ),
        ),
        'rewrite' => array(
          'filter_rewrite_values' => '',
        ),
        'datepicker_options' => '',
      ),
    ),
    'field_note_value' => array(
      'bef_format' => 'default',
      'more_options' => array(
        'autosubmit' => 0,
        'is_secondary' => 0,
        'any_label' => '',
        'bef_filter_description' => '',
        'tokens' => array(
          'available' => array(
            0 => 'global_types',
          ),
        ),
        'rewrite' => array(
          'filter_rewrite_values' => '',
        ),
      ),
    ),
    'field_amount_value' => array(
      'bef_format' => 'default',
      'slider_options' => array(
        'bef_slider_min' => '0',
        'bef_slider_max' => '99999',
        'bef_slider_step' => '1',
        'bef_slider_animate' => '',
        'bef_slider_orientation' => 'horizontal',
      ),
      'more_options' => array(
        'autosubmit' => 0,
        'is_secondary' => 0,
        'any_label' => '',
        'bef_filter_description' => '',
        'tokens' => array(
          'available' => array(
            0 => 'global_types',
          ),
        ),
        'rewrite' => array(
          'filter_rewrite_values' => '',
        ),
      ),
    ),
    'field_account_target_id' => array(
      'bef_format' => 'default',
      'slider_options' => array(
        'bef_slider_min' => '0',
        'bef_slider_max' => '99999',
        'bef_slider_step' => '1',
        'bef_slider_animate' => '',
        'bef_slider_orientation' => 'horizontal',
      ),
      'more_options' => array(
        'autosubmit' => 0,
        'is_secondary' => 0,
        'any_label' => '',
        'bef_filter_description' => '',
        'tokens' => array(
          'available' => array(
            0 => 'global_types',
          ),
        ),
        'rewrite' => array(
          'filter_rewrite_values' => '',
        ),
      ),
    ),
  );
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '10';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['pager']['options']['expose']['items_per_page'] = TRUE;
  $handler->display->display_options['pager']['options']['expose']['items_per_page_options'] = '10, 20, 40, 60';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_options_all'] = TRUE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'field_date' => 'field_date',
    'field_note' => 'field_note',
    'field_amount' => 'field_amount',
    'title_1' => 'title_1',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'field_date' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_note' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_amount' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title_1' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = 'Nothing to show :(';
  $handler->display->display_options['empty']['area']['format'] = 'plain_text';
  /* Relationship: From reference */
  $handler->display->display_options['relationships']['field_from_target_id']['id'] = 'field_from_target_id';
  $handler->display->display_options['relationships']['field_from_target_id']['table'] = 'field_data_field_from';
  $handler->display->display_options['relationships']['field_from_target_id']['field'] = 'field_from_target_id';
  $handler->display->display_options['relationships']['field_from_target_id']['ui_name'] = 'From reference';
  $handler->display->display_options['relationships']['field_from_target_id']['label'] = 'From reference';
  /* Relationship: To reference */
  $handler->display->display_options['relationships']['field_to_target_id']['id'] = 'field_to_target_id';
  $handler->display->display_options['relationships']['field_to_target_id']['table'] = 'field_data_field_to';
  $handler->display->display_options['relationships']['field_to_target_id']['field'] = 'field_to_target_id';
  $handler->display->display_options['relationships']['field_to_target_id']['ui_name'] = 'To reference';
  $handler->display->display_options['relationships']['field_to_target_id']['label'] = 'To reference';
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['relationship'] = 'field_from_target_id';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['nid']['element_default_classes'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid_1']['id'] = 'nid_1';
  $handler->display->display_options['fields']['nid_1']['table'] = 'node';
  $handler->display->display_options['fields']['nid_1']['field'] = 'nid';
  $handler->display->display_options['fields']['nid_1']['relationship'] = 'field_to_target_id';
  $handler->display->display_options['fields']['nid_1']['label'] = '';
  $handler->display->display_options['fields']['nid_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid_1']['element_label_colon'] = FALSE;
  /* Field: Content: Date */
  $handler->display->display_options['fields']['field_date']['id'] = 'field_date';
  $handler->display->display_options['fields']['field_date']['table'] = 'field_data_field_date';
  $handler->display->display_options['fields']['field_date']['field'] = 'field_date';
  $handler->display->display_options['fields']['field_date']['settings'] = array(
    'format_type' => 'shortdayonly',
    'custom_date_format' => '',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
    'show_remaining_days' => 0,
  );
  /* Field: Content: Note */
  $handler->display->display_options['fields']['field_note']['id'] = 'field_note';
  $handler->display->display_options['fields']['field_note']['table'] = 'field_data_field_note';
  $handler->display->display_options['fields']['field_note']['field'] = 'field_note';
  /* Field: Content: From */
  $handler->display->display_options['fields']['field_from']['id'] = 'field_from';
  $handler->display->display_options['fields']['field_from']['table'] = 'field_data_field_from';
  $handler->display->display_options['fields']['field_from']['field'] = 'field_from';
  $handler->display->display_options['fields']['field_from']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['field_from']['alter']['path'] = 'node/[nid]/transactions';
  $handler->display->display_options['fields']['field_from']['settings'] = array(
    'bypass_access' => 0,
    'link' => 0,
  );
  /* Field: Content: To */
  $handler->display->display_options['fields']['field_to']['id'] = 'field_to';
  $handler->display->display_options['fields']['field_to']['table'] = 'field_data_field_to';
  $handler->display->display_options['fields']['field_to']['field'] = 'field_to';
  $handler->display->display_options['fields']['field_to']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['field_to']['alter']['path'] = 'node/[nid_1]/transactions';
  $handler->display->display_options['fields']['field_to']['settings'] = array(
    'bypass_access' => 0,
    'link' => 0,
  );
  /* Field: Content: Amount */
  $handler->display->display_options['fields']['field_amount']['id'] = 'field_amount';
  $handler->display->display_options['fields']['field_amount']['table'] = 'field_data_field_amount';
  $handler->display->display_options['fields']['field_amount']['field'] = 'field_amount';
  $handler->display->display_options['fields']['field_amount']['settings'] = array(
    'thousand_separator' => '',
    'decimal_separator' => '.',
    'scale' => '2',
    'prefix_suffix' => 1,
  );
  /* Field: Content: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['relationship'] = 'field_transaction_target_id';
  $handler->display->display_options['fields']['edit_node']['exclude'] = TRUE;
  $handler->display->display_options['fields']['edit_node']['text'] = 'edit';
  /* Field: Content: Clone transaction button */
  $handler->display->display_options['fields']['clone_transaction_button']['id'] = 'clone_transaction_button';
  $handler->display->display_options['fields']['clone_transaction_button']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['clone_transaction_button']['field'] = 'clone_transaction_button';
  $handler->display->display_options['fields']['clone_transaction_button']['relationship'] = 'field_transaction_target_id';
  $handler->display->display_options['fields']['clone_transaction_button']['label'] = '';
  $handler->display->display_options['fields']['clone_transaction_button']['exclude'] = TRUE;
  $handler->display->display_options['fields']['clone_transaction_button']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['clone_transaction_button']['rules_link'] = array(
    'rules_link_parameters' => '',
    'rules_link_rewrite' => '',
  );
  /* Field: Content: Delete link */
  $handler->display->display_options['fields']['delete_node']['id'] = 'delete_node';
  $handler->display->display_options['fields']['delete_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['delete_node']['field'] = 'delete_node';
  $handler->display->display_options['fields']['delete_node']['relationship'] = 'field_transaction_target_id';
  $handler->display->display_options['fields']['delete_node']['exclude'] = TRUE;
  $handler->display->display_options['fields']['delete_node']['text'] = 'delete';
  /* Field: Global: Dropdown links */
  $handler->display->display_options['fields']['ctools_dropdown']['id'] = 'ctools_dropdown';
  $handler->display->display_options['fields']['ctools_dropdown']['table'] = 'views';
  $handler->display->display_options['fields']['ctools_dropdown']['field'] = 'ctools_dropdown';
  $handler->display->display_options['fields']['ctools_dropdown']['label'] = 'Actions';
  $handler->display->display_options['fields']['ctools_dropdown']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['ctools_dropdown']['fields'] = array(
    'edit_node' => 'edit_node',
    'clone_transaction_button' => 'clone_transaction_button',
    'delete_node' => 'delete_node',
  );
  $handler->display->display_options['fields']['ctools_dropdown']['check_access'] = 0;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'transaction' => 'transaction',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  /* Filter criterion: Content: Date (field_date) */
  $handler->display->display_options['filters']['field_date_value']['id'] = 'field_date_value';
  $handler->display->display_options['filters']['field_date_value']['table'] = 'field_data_field_date';
  $handler->display->display_options['filters']['field_date_value']['field'] = 'field_date_value';
  $handler->display->display_options['filters']['field_date_value']['relationship'] = 'field_transaction_target_id';
  $handler->display->display_options['filters']['field_date_value']['operator'] = 'between';
  $handler->display->display_options['filters']['field_date_value']['group'] = 1;
  $handler->display->display_options['filters']['field_date_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_date_value']['expose']['operator_id'] = 'field_date_value_op';
  $handler->display->display_options['filters']['field_date_value']['expose']['operator'] = 'field_date_value_op';
  $handler->display->display_options['filters']['field_date_value']['expose']['identifier'] = 'field_date_value';
  $handler->display->display_options['filters']['field_date_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    81963806 => 0,
  );
  $handler->display->display_options['filters']['field_date_value']['form_type'] = 'date_popup';
  /* Filter criterion: Content: Note (field_note) */
  $handler->display->display_options['filters']['field_note_value']['id'] = 'field_note_value';
  $handler->display->display_options['filters']['field_note_value']['table'] = 'field_data_field_note';
  $handler->display->display_options['filters']['field_note_value']['field'] = 'field_note_value';
  $handler->display->display_options['filters']['field_note_value']['relationship'] = 'field_transaction_target_id';
  $handler->display->display_options['filters']['field_note_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['field_note_value']['group'] = 1;
  $handler->display->display_options['filters']['field_note_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_note_value']['expose']['operator_id'] = 'field_note_value_op';
  $handler->display->display_options['filters']['field_note_value']['expose']['label'] = 'Note';
  $handler->display->display_options['filters']['field_note_value']['expose']['operator'] = 'field_note_value_op';
  $handler->display->display_options['filters']['field_note_value']['expose']['identifier'] = 'field_note_value';
  $handler->display->display_options['filters']['field_note_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    81963806 => 0,
  );
  /* Filter criterion: Content: Amount (field_amount) */
  $handler->display->display_options['filters']['field_amount_value']['id'] = 'field_amount_value';
  $handler->display->display_options['filters']['field_amount_value']['table'] = 'field_data_field_amount';
  $handler->display->display_options['filters']['field_amount_value']['field'] = 'field_amount_value';
  $handler->display->display_options['filters']['field_amount_value']['relationship'] = 'field_transaction_target_id';
  $handler->display->display_options['filters']['field_amount_value']['group'] = 1;
  $handler->display->display_options['filters']['field_amount_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_amount_value']['expose']['operator_id'] = 'field_amount_value_op';
  $handler->display->display_options['filters']['field_amount_value']['expose']['label'] = 'Amount';
  $handler->display->display_options['filters']['field_amount_value']['expose']['operator'] = 'field_amount_value_op';
  $handler->display->display_options['filters']['field_amount_value']['expose']['identifier'] = 'field_amount_value';
  $handler->display->display_options['filters']['field_amount_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    81963806 => 0,
  );
  /* Filter criterion: Content: From (field_from) */
  $handler->display->display_options['filters']['field_from_target_id']['id'] = 'field_from_target_id';
  $handler->display->display_options['filters']['field_from_target_id']['table'] = 'field_data_field_from';
  $handler->display->display_options['filters']['field_from_target_id']['field'] = 'field_from_target_id';
  $handler->display->display_options['filters']['field_from_target_id']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_from_target_id']['expose']['operator_id'] = 'field_from_target_id_op';
  $handler->display->display_options['filters']['field_from_target_id']['expose']['label'] = 'From';
  $handler->display->display_options['filters']['field_from_target_id']['expose']['use_operator'] = TRUE;
  $handler->display->display_options['filters']['field_from_target_id']['expose']['operator'] = 'field_from_target_id_op';
  $handler->display->display_options['filters']['field_from_target_id']['expose']['identifier'] = 'field_from_target_id';
  $handler->display->display_options['filters']['field_from_target_id']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    81963806 => 0,
  );
  /* Filter criterion: Content: To (field_to) */
  $handler->display->display_options['filters']['field_to_target_id']['id'] = 'field_to_target_id';
  $handler->display->display_options['filters']['field_to_target_id']['table'] = 'field_data_field_to';
  $handler->display->display_options['filters']['field_to_target_id']['field'] = 'field_to_target_id';
  $handler->display->display_options['filters']['field_to_target_id']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_to_target_id']['expose']['operator_id'] = 'field_to_target_id_op';
  $handler->display->display_options['filters']['field_to_target_id']['expose']['label'] = 'To';
  $handler->display->display_options['filters']['field_to_target_id']['expose']['use_operator'] = TRUE;
  $handler->display->display_options['filters']['field_to_target_id']['expose']['operator'] = 'field_to_target_id_op';
  $handler->display->display_options['filters']['field_to_target_id']['expose']['identifier'] = 'field_to_target_id';
  $handler->display->display_options['filters']['field_to_target_id']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    81963806 => 0,
  );

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page_1');
  $handler->display->display_options['exposed_block'] = TRUE;
  $handler->display->display_options['path'] = 'transactions';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'Transactions';
  $handler->display->display_options['menu']['description'] = 'List of transactions';
  $handler->display->display_options['menu']['weight'] = '3';
  $handler->display->display_options['menu']['name'] = 'menu-accountants-menu';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;
  $export['transactions'] = $view;

  return $export;
}
